# ApplicationFramework
TKPShape
PGeom2d

# PGeom2d_Curve Class Reference

`#include <PGeom2d_Curve.hxx>`

Inheritance diagram for PGeom2d_Curve:

[legend]

## Public Member Functions

| PGeom2d_Curve (const Storage_stCONSTclCOM &a)
| PGeom2d_Curve ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom2d_Curve::PGeom2d_Curve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom2d_Curve::PGeom2d_Curve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom2d_Curve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom2d_Geometry. Reimplemented in PGeom2d_BezierCurve, PGeom2d_BoundedCurve, PGeom2d_BSplineCurve, PGeom2d_Circle, PGeom2d_Conic, PGeom2d_Ellipse, PGeom2d_Hyperbola, PGeom2d_Line, PGeom2d_OffsetCurve, PGeom2d_Parabola, and PGeom2d_TrimmedCurve.

The documentation for this class was generated from the following file:

- PGeom2d_Curve.hxx